API keys

List API keys

GET
/api-keys

List your API keys, or all tenant keys for an administrator.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Query Parameters

cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048
limit?integer

Filter or parameter: limit.

Range1 <= value <= 100
Default50

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api-keys"
{  "items": [    {      "id": "123e4567-e89b-42d3-a456-426614174000",      "user_id": "123e4567-e89b-42d3-a456-426614174000",      "label": "Customer documents",      "prefix": "adl_live_a1",      "scopes": [],      "expires_at": "2026-09-04T12:00:00Z",      "last_used_at": "2026-09-04T12:00:00Z",      "revoked_at": "2026-09-04T12:00:00Z",      "grace_until": "2026-09-04T12:00:00Z",      "created_at": "2026-09-04T12:00:00Z",      "rate_limit_per_minute": 0,      "rotated_from": "123e4567-e89b-42d3-a456-426614174000",      "status": "active"    }  ],  "next_cursor": null}